# Method: notes.permissions.batchCreate

- [HTTP request](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes.permissions/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes.permissions/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes.permissions/batchCreate#body.request_body)
  - [JSON representation](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes.permissions/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes.permissions/batchCreate#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes.permissions/batchCreate#body.BatchCreatePermissionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes.permissions/batchCreate#body.aspect)
- [CreatePermissionRequest](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes.permissions/batchCreate#CreatePermissionRequest)
  - [JSON representation](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes.permissions/batchCreate#CreatePermissionRequest.SCHEMA_REPRESENTATION)

Creates one or more permissions on the note. Only permissions with the `WRITER` role may be created. If adding any permission fails, then the entire request fails and no changes are made.

### HTTP request

`POST https://keep.googleapis.com/v1/{parent=notes/*}/permissions:batchCreate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The parent resource shared by all Permissions being created. Format: `notes/{note}` If this is set, the parent field in the CreatePermission messages must either be empty or match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/workspace/keep/api/reference/rest/v1/notes.permissions/batchCreate#CreatePermissionRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/workspace/keep/api/reference/rest/v1/notes.permissions/batchCreate#CreatePermissionRequest`)`` The request message specifying the resources to create. |

### Response body

The response for creating permissions on a note.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "permissions": [ { object (`https://developers.google.com/workspace/keep/api/reference/rest/v1/notes#Permission`) } ] } ``` |

| Fields ||
|---|---|
| `permissions[]` | ``object (`https://developers.google.com/workspace/keep/api/reference/rest/v1/notes#Permission`)`` Permissions created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/keep`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## CreatePermissionRequest

The request to add a single permission on the note.

| JSON representation |
|---|
| ``` { "parent": string, "permission": { object (`https://developers.google.com/workspace/keep/api/reference/rest/v1/notes#Permission`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent note where this permission will be created. Format: `notes/{note}` |
| `permission` | ``object (`https://developers.google.com/workspace/keep/api/reference/rest/v1/notes#Permission`)`` Required. The permission to create. One of Permission.email, User.email or Group.email must be supplied. |